Skip to main content
`Ctrl`+`K`

# STViewFromOptions

View (print) an `ST` object based on values in the options database

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STViewFromOptions(ST st,PetscObject obj,const char name[])

Collective

## Input Parameters

- st - the spectral transformation context

- obj - optional object that provides the options prefix used to query the options database

- name - command line option

## See Also

ST: Spectral Transformation, `STView()`, `STCreate()`, `PetscObjectViewFromOptions()`

## Level

intermediate

## Location

src/sys/classes/st/interface/stfunc.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages